node-sass@4.7.2 のインストールで、Error: Cannot find module 'core-util-is' が発生


node_modules の 配置先となるディレクトリを変更しており、移動後に改めてnpm install を実行したところ、下記エラーが発生しました。

Error: Cannot find module 'core-util-is'

core-util-isが見つからないので、

npm install --save core-util-is

を実行したところ、

Error: Cannot find module './lib/_stream_readable.js'
が発生したので、エラーメッセージで検索したところ、下記 Issue がヒットしました。
Cannot find module ‘./lib/_stream_readable.js’ · Issue #166 · electron-userland/electron-prebuilt

原因は、プロジェクトをコピーする際に、おそらくnode_module 配下が壊れてしまったようで、Issue に記載の通り、node_modules 配下を全削除し、改めて install したところ解決しました。

rm -rf node_modules && npm install

以上です。

コメント